@echo off

echo.
echo. 《异域镇魂曲：增强版》汉化补丁
echo.
echo.
echo. 
echo. 本补丁由英特卫官方汉化导入而成，新增文本已由哪个汉化组进行补译和校对。
echo.
echo. 本补丁仅适用于3.0.3版，请勿在其他版本的游戏安装此补丁。
echo.
echo.
echo.
echo. 请按任意键继续……
echo.
pause>nul

md5sums -n -b .\data\gui.bif > temp.txt

for /f "delims=" %%i in ('type "temp.txt"') do (
    set "lastline=%%i")
set md5str=%lastline:~-32%

if "%md5str%" == "de37371a23cf093718487501c16d7fce" (
	rename .\data\gui.bif gui-original.bif
	Xdelta -d -s .\data\gui-original.bif ReplaceKR .\data\gui.bif
	echo. 文件替换完成，请进入游戏后在语言选项里选择“zh-CN”。
	echo.
	echo. 请按任意键退出……
	del temp.txt
	pause>nul
	exit
) else (
	if "%md5str%" == "703f565e9a23ac3801217b0b75fc2673" (
		echo. 文件替换完成，请进入游戏后在语言选项里选择“zh-CN”。
		echo.
		echo. 请按任意键退出……
		del temp.txt
		pause>nul
		exit
	) else (
		echo. 要替换的文件已经发生改动，请确认游戏版本是否正确。
		echo. 请按任意键退出……
		del temp.txt
		pause>nul
		exit
	)
)